Scanner
Gets the Scanner Audit Logs
GET
https://api.entro.security/v1/scan/auditLogsAuthorizations
AuthorizationstringRequiredQuery parameters
fromstringOptionalDate format dd/mm/yyyy
tostringOptionalDate format dd/mm/yyyy
Responses
200Successful response
GET
/v1/scan/auditLogsGET /v1/scan/auditLogs HTTP/1.1 Host: api.entro.security Authorization: YOUR_API_KEY Accept: */*
curl -L \ --url 'https://api.entro.security/v1/scan/auditLogs' \ --header 'Authorization: YOUR_API_KEY' \ --header 'Accept: */*'
const response = await fetch('https://api.entro.security/v1/scan/auditLogs', {
method: 'GET',
headers: {
"Authorization": "YOUR_API_KEY",
"Accept": "*/*"
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.entro.security/v1/scan/auditLogs",
headers={"Authorization":"YOUR_API_KEY","Accept":"*/*"},
)
data = response.json()200Successful response
[
{
"request_id": "5ae363e4-0661-46cc-a56b-133b7fda1e9b",
"secrets": [],
"timestamp": 1741510628000,
"date": "2025-03-09T08:57:08.000Z"
},
{
"request_id": "b14b4819-e055-47bc-a4a5-2d6881211009",
"secrets": [
{
"secret_type": "GITHUB_API_TOKEN",
"exposed_value": "ghp_BT*******************ffv32CiUiw1R82UC7vz",
"line_number": 1
}
],
"timestamp": 1741510053000,
"date": "2025-03-09T08:47:33.000Z"
}
]Scan Content for Exposed Secrets
POST
https://api.entro.security/v2/scanAuthorizations
AuthorizationstringRequiredQuery parameters
genericbooleanOptionalAllow generic secret type
redactbooleanOptionalRedact secrets from the response
Body
anyOptional
Responses
200Successful response
POST
/v2/scanPOST /v2/scan HTTP/1.1
Host: api.entro.security
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51
{
"data": "ghp_BTqLYdZxZZt40adNxffv32CiUiw1R82UC7vz"
}curl -L \
--request POST \
--url 'https://api.entro.security/v2/scan' \
--header 'Authorization: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"data": "ghp_BTqLYdZxZZt40adNxffv32CiUiw1R82UC7vz"
}'const response = await fetch('https://api.entro.security/v2/scan', {
method: 'POST',
headers: {
"Authorization": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
"data": "ghp_BTqLYdZxZZt40adNxffv32CiUiw1R82UC7vz"
})
});
const data = await response.json();import json
import requests
response = requests.post(
"https://api.entro.security/v2/scan",
headers={"Authorization":"YOUR_API_KEY","Content-Type":"application/json"},
data=json.dumps({
"data": "ghp_BTqLYdZxZZt40adNxffv32CiUiw1R82UC7vz"
})
)
data = response.json()200Successful response
{
"requestId": "9752d9bd-58c4-4e98-9ab2-df5a50c79ccf",
"totalCount": 1,
"results": [
{
"origin": "GITHUB_API_TOKEN",
"value": "ghp_BTqLYdZxZZt40adNxffv32CiUiw1R82UC7vz",
"line": 1
}
]
}